Subject: ISO handling between Eudora and Pine

From: Lloyd Wood <[email-masked]>
Date: 13 Nov 1996 16:17:53 GMT

I've just had an interesting problem come up with a Solaris Pine 3.95
user receiving email from a Windows Eudora Lite 1.5.4 client.

My user didn't understand why he was seeing a 'the charset is in "iso-8859-1"
format, your display supports ISO-8859-1,ISO-88592,ISO-8859-3 all the way
to 9' type message. Here are the headers that caused that:

Received: from mail.datanet.hu by ainur.ee.surrey.ac.uk with smtp
        (Smail3.1.29.1 #4) id m0vNbJo-000OjCC; Wed, 13 Nov 96 09:09 GMT
Received: from verdi-24.dialin.datanet.hu by mail.datanet.hu (AIX 3.2/UCB 
5.64/4.03)
          id AA100867; Wed, 13 Nov 1996 10:03:43 +0100
X-UIDL: 847887395.007
Date: Wed, 13 Nov 1996 10:03:43 +0100
Message-Id: <[email-masked]>
X-Sender: [email-masked]
X-Mailer: Windows Eudora Light Version 1.5.4 (16)
Mime-Version: 1.0
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
To: [email-masked]
From: 
=?iso-8859-1?Q?Sara_Papp=2DV=E1ry_=3Cpappvary=40berlitz.datanet.hu=3E?=@mail.dat
anet.hu

[Gotta love that mangled From: line.]

As far as I can see, the Windows Eudora Lite is generating 
Content-Type: headers where the 'ISO' of ISO-8859-x is in lower
case and is 'iso'. Since I've only ever seen ISO-8859-x written
in upper-case, this strikes me as sloppy. On the other hand, headers
should not be case-dependent (any case-dependent stuff is rotten
legacy code that needs fixing, IMHO), and Pine 3.95 ought to be capable of
recognising that 'iso-8859-1' and 'ISO-8859-1' are one and the
same thing (and that US-SCII is US-ascii is us-ascii is... you
get the idea).

It looks to me that Eudora is really the one at fault here for
not rigidly following the capitalisation, but that Pine's handling
of case variants is brain-dead and turns a small problem into
a bigger problem. (No big deal for ISO-8859-1 here, but once you
get to the more exotic variants like -7 and you're dealing with
people unused to computers who are uncomfortable with English,
uncomfortable with reading English manuals and even more uncomfortable
with the gibberish on their screens resulting from ISO misinterpretation,
you see where my time is going to be going in future.)

Can I request that Eudora stick with convention (ISO should be caps)
and that Pine be more tolerant in future releases? Writing robust code
capable of handling case variations sensibly is, I would have thought,
fairly trivial.

(Although Netscape can't seem to handle it consistently for &amp; &Amp;
&AMP; &AmP; despite their many releases and person-years of hackery.)

Thanks,

L.
--
<URL:http://www.sat-net.com/L.Wood/><mailto:[email-masked]>